Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cql.jdbc
Class JdbcInteger

    java.lang.Object
      org.apache.cassandra.cql.jdbc.AbstractJdbcType<java.math.BigInteger>
          org.apache.cassandra.cql.jdbc.JdbcInteger

    public class JdbcInteger

extends AbstractJdbcType<java.math.BigInteger>

Field Summary
`static JdbcInteger` | `instance`

Method Summary
`java.math.BigInteger` | `compose(java.nio.ByteBuffer bytes)`
`java.nio.ByteBuffer` | `decompose(java.math.BigInteger value)`
`int` | `getJdbcType()`
`int` | `getPrecision(java.math.BigInteger obj)`
`int` | `getScale(java.math.BigInteger obj)`
`java.lang.String` | `getString(java.nio.ByteBuffer bytes)`
`java.lang.Class<java.math.BigInteger>` | `getType()`
`boolean` | `isCaseSensitive()`
`boolean` | `isCurrency()`
`boolean` | `isSigned()`
`boolean` | `needsQuotes()`
`java.lang.String` | `toString(java.math.BigInteger obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final JdbcInteger instance

Method Detail

### isCaseSensitive

    public boolean isCaseSensitive()

  Specified by:
    `isCaseSensitive` in class `AbstractJdbcType<java.math.BigInteger>`

### getScale

    public int getScale(java.math.BigInteger obj)

  Specified by:
    `getScale` in class `AbstractJdbcType<java.math.BigInteger>`

### getPrecision

    public int getPrecision(java.math.BigInteger obj)

  Specified by:
    `getPrecision` in class `AbstractJdbcType<java.math.BigInteger>`

### isCurrency

    public boolean isCurrency()

  Specified by:
    `isCurrency` in class `AbstractJdbcType<java.math.BigInteger>`

### isSigned

    public boolean isSigned()

  Specified by:
    `isSigned` in class `AbstractJdbcType<java.math.BigInteger>`

### toString

    public java.lang.String toString(java.math.BigInteger obj)

  Specified by:
    `toString` in class `AbstractJdbcType<java.math.BigInteger>`

### needsQuotes

    public boolean needsQuotes()

  Specified by:
    `needsQuotes` in class `AbstractJdbcType<java.math.BigInteger>`

### getString

    public java.lang.String getString(java.nio.ByteBuffer bytes)

  Specified by:
    `getString` in class `AbstractJdbcType<java.math.BigInteger>`

### getType

    public java.lang.Class<java.math.BigInteger> getType()

  Specified by:
    `getType` in class `AbstractJdbcType<java.math.BigInteger>`

### getJdbcType

    public int getJdbcType()

  Specified by:
    `getJdbcType` in class `AbstractJdbcType<java.math.BigInteger>`

### compose

    public java.math.BigInteger compose(java.nio.ByteBuffer bytes)

  Specified by:
    `compose` in class `AbstractJdbcType<java.math.BigInteger>`

### decompose

    public java.nio.ByteBuffer decompose(java.math.BigInteger value)

  Specified by:
    `decompose` in class `AbstractJdbcType<java.math.BigInteger>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation